#ifndef __SAVE_STATES____H__
#define __SAVE_STATES____H__

#include <SDL.h>

// these two must only be called from the same thread which runs the CPU
//
// to initiate a state save or load from any thread, use
// the ones defined in Video.h
void savestates_save(Uint8 slot);
void savestates_load(Uint8 slot);

void savestates_start(char* path);
void savestates_destroy();

#endif  // !__SAVE_STATES____H__